Page 3 of 9

Re: 4.09 Beta Available (Latest Version 4.09.1)

Posted: Fri Mar 21, 2014 12:17 pm
by bo.elam
Jogi, like you, other users are reporting having issues running Firefox sandboxed after upgrading to Firefox 28. You should report about your problem in the thread below, tell if you are using Avast, your system and the rest of security programs that you are using.

http://forums.sandboxie.com/phpBB3/view ... 905#p99905

Bo

Re: 4.09 Beta Available (Latest Version 4.09.1)

Posted: Tue Mar 25, 2014 10:35 pm
by Nix
When is the release of the new version?!

Re: 4.09 Beta Available (Latest Version 4.09.1)

Posted: Fri Mar 28, 2014 12:38 am
by Curt@invincea
4.9.2 is planned for the middle of next week. We have several fixes for the C0000142 errors as well as some application crashes on startup.

Re: 4.09 Beta Available (Latest Version 4.09.1)

Posted: Fri Mar 28, 2014 7:51 am
by Buster
Curt@invincea wrote:4.9.2 is planned for the middle of next week. We have several fixes for the C0000142 errors as well as some application crashes on startup.
What are the reasons which caused the C0000142 errors?

Re: 4.09 Beta Available (Latest Version 4.09.1)

Posted: Fri Mar 28, 2014 5:03 pm
by Curt@invincea
Buster wrote:What are the reasons which caused the C0000142 errors?
They are all related to Dll injection (which is what broke your app, Buster). The Sandboxie 4.X Dll injection code is quite different than 3.X and is very complex. Tzuk primarily made these changes for Win 8 compatibility. He did an amazing job on this given that the NT loader is poorly documented by Microsoft.

Since these seemed to be the biggest problems for the largest number of people, for both Sandboxie and Freespace, we have been focusing almost exclusively on this area for weeks now.

Re: 4.09 Beta Available (Latest Version 4.09.2)

Posted: Fri Apr 04, 2014 11:35 am
by Curt@invincea
The 4.9.2 beta is now available. See the first post in this thread for more details. If you are getting any "DLL failed to initialize" or C0000142 errors or any sandboxed application crashes on start, please try this beta. We have fixed a lot of problems in application startup.

Thanks,
Curt

Re: 4.09 Beta Available (Latest Version 4.09.2)

Posted: Fri Apr 04, 2014 1:28 pm
by bo.elam
Curt, thanks for making separate installers available.

Bo

Re: 4.09 Beta Available (Latest Version 4.09.2)

Posted: Fri Apr 04, 2014 1:38 pm
by Buster
Thank you for the new beta!

Re: 4.09 Beta Available (Latest Version 4.09.2)

Posted: Mon Apr 07, 2014 9:42 pm
by Nix
Thanks for the beta...

Working great!

Re: 4.09 Beta Available (Latest Version 4.09.2)

Posted: Sat Apr 12, 2014 9:02 am
by roady
THX for the new beta and for keeping the developement going for this excellent program! :)

Re: 4.09 Beta Available (Latest Version 4.09.2)

Posted: Sun Apr 13, 2014 3:11 pm
by scarid
I also would like to thank you, Invincea, for continuing the development of this fantastic software.

Re: 4.09 Beta Available (Latest Version 4.09.2)

Posted: Mon Apr 14, 2014 10:18 am
by loyal
SBIE2205 Service not implemented: NtCreateProcessEx (2304)
i got this error

Re: 4.09 Beta Available (Latest Version 4.09.3)

Posted: Mon Apr 14, 2014 6:31 pm
by Curt@invincea
Beta 4.9.3 is now available to fix problems with Windows 8.1 update KB2919355..

Thank you for your positive feedback, guys. it is much appreciated.

Re: 4.09 Beta Available (Latest Version 4.09.3)

Posted: Mon Apr 14, 2014 9:39 pm
by kjdemuth
Ok this is what I get when I use 4.9.3 with Firefox 28.

SBIE2203 Failed to communicate with Sandboxie Service: *GUIPROXY_00000001 - firefox.exe [C0000061]
SBIE2203 Failed to communicate with Sandboxie Service: *GUIPROXY_00000001 - firefox.exe [C0000061]
SBIE2203 Failed to communicate with Sandboxie Service: *GUIPROXY_00000001 - firefox.exe [C0000061]
SBIE2203 Failed to communicate with Sandboxie Service: *GUIPROXY_00000001 - firefox.exe [C0000061]
SBIE2203 Failed to communicate with Sandboxie Service: *GUIPROXY_00000001 - firefox.exe [C0000061]

The loop keeps continuing till I terminate the sandbox. I'm running sandbox with no restriction and no drop my rights. The only thing forced is Firefox. I'm running Win 8.1 64 bit.

Re: 4.09 Beta Available (Latest Version 4.09.3)

Posted: Tue Apr 15, 2014 10:36 am
by joohwan@invincea
kjdemuth,

Any add ons or AV running? Tablet PC? I ask bc I tested sbie 4.9.3 on Win81x64 + Firefox 28 and didn't see this error.